%define tarball xf86-video-omap
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir %{moduledir}/drivers

Summary:   Xorg X11 omapdrm driver
Name:      xorg-x11-drv-omap
Version:   0.0.1
Release:   0.1.git20120511%{?dist}
URL:       http://www.x.org
License:   MIT
Group:     User Interface/X Hardware Support

# tarball created by running 
# git clone  git://github.com/robclark/xf86-video-omap.git xf86-video-omap
# tar -cjv xf86-video-omap.tar.bz2 xf86-video-omap
Source0:   %{tarball}.tar.bz2

ExclusiveArch: %{arm}

BuildRequires: xorg-x11-server-devel >= 1.4.99.1-0.15
BuildRequires: libXext-devel 
BuildRequires: pkgconfig(libdrm_omap)
BuildRequires: autoconf automake libtool
BuildRequires: libXv-devel
BuildRequires: mesa-libGL-devel >= 6.5-9
BuildRequires: kernel-headers >= 2.6.32.3
BuildRequires: libudev-devel
Requires:  xorg-x11-server-Xorg >= 1.4.99.1
# last version of the xorg-x11-drv-omapfb in arm koji
Obsoletes: xorg-x11-drv-omapfb <= 0.1.1-3.git20110428.fc17
Provides: xorg-x11-drv-omapfb = 0.1.1-3.git20110428.fc17.1

%description 
X.Org X11 omapdrm driver.

%prep
%setup -q -n %{tarball}

%build
sh autogen.sh
#autoreconf -v --install || exit 1
%configure --disable-static  --libdir=%{_libdir} --mandir=%{_mandir}
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%files
%defattr(-,root,root,-)
%doc README COPYING
%{driverdir}/omap_drv.so
%{_mandir}/man4/omap.4*

%changelog
* Fri May 11 2012 Dennis Gilmore <dennis@ausil.us> 0.0.1-0.1.git20120511
- initial fedora packaging
